Returns whether the useHierarchyMetadata feature flag is enabled.

GET /users/site/hierarchyFeatureFlag

Operation id: SiteService_GetHierarchyFeatureFlag

Tags: SiteService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
useHierarchyMetadatabooleanNoTrue if the deployment is using HierarchyMetadata for hierarchy management. False if the legacy Property Service approach is in use.
{
  "type": "object",
  "properties": {
    "useHierarchyMetadata": {
      "type": "boolean",
      "description": "True if the deployment is using HierarchyMetadata for hierarchy management.\nFalse if the legacy Property Service approach is in use."
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}